openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/PRGN_WEB_GET_ROLE_FROM_URL:
    post:
      tags:
      - PRGN_WEB
      operationId: /rfc/PRGN_WEB_GET_ROLE_FROM_URL
      requestBody:
        content:
          application/json:
            schema:
              properties:
                URL:
                  type: string
                  maxLength: 1024
                  description: URL for the SAP Portal
                I_URL_RESPONSE:
                  type: array
                  items:
                    type: object
                    properties:
                      LINE:
                        type: string
                        maxLength: 1024
                        description: Character 1024
              required:
              - URL
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  I_URL_RESPONSE:
                    type: array
                    items:
                      type: object
                      properties:
                        LINE:
                          type: string
                          maxLength: 1024
                          description: Character 1024
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
